package com.ms.biz.tool;

import org.springframework.util.StringUtils;

/**
 * 系统工具
 */
public class SystemTool {

    /**
     * 是否生产环境
     * @return
     */
    public static boolean isProdEnv(){
        String activeProfile = System.getenv("sys-deploy-env");
        return "Prod".equals(activeProfile);
    }

    /**
     * 是否测试环境
     * @return
     */
    public static boolean isTestEnv(){
        String activeProfile = System.getenv("sys-deploy-env");
        return "Test".equals(activeProfile);
    }

    /**
     * 是否生产环境
     * @return
     */
    public static boolean isDevEnv(){
        String activeProfile = System.getenv("sys-deploy-env");
        return StringUtils.isEmpty(activeProfile);
    }

}
